package quake.quake_tensorflow_face_rec.detection.javaBean;

import android.util.Log;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import java.util.Collection;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

public class FaceCount implements Map {
    private HashMap<String,Integer> faceCount = new HashMap<>();
    private String worker_id;
    private Integer count = 0;


    public void setCount(Integer count){
        this.count = count;
    }
    public void setWorker_id(String worker_id){
        this.worker_id = worker_id;
    }
    public HashMap<String ,Integer> setFaceCount(String worker_id){
        if(faceCount!=null){
            for (Entry<String,Integer> entry :this.faceCount.entrySet()){
                Log.d("count", "count？"+entry.getKey());
                if(entry.getKey().equals(worker_id)){
                    entry.setValue(entry.getValue()+1);
                }
            }
        }
        return faceCount;

    }
    public String getWorker_id(){
        return worker_id;
    }
    public Integer getCount(){
        return count;
    }
    public void getFaceCount(String worker_id){
        this.worker_id = worker_id;

        count++;
    }
    public HashMap<String ,Integer> addFaceCount (String worker_id){
        Boolean isFind = false;
        if(faceCount!=null){
            int count = 0;
            for (Entry<String,Integer> entry :this.faceCount.entrySet()){
                Log.d("count", "addFaceCount entry.getKey()？"+entry.getKey()
                +"count:"+count++);

                if(entry.getKey().equals(worker_id)){
                    entry.setValue(entry.getValue()+1);
                    isFind = true;
                }
            }
        }else {
            faceCount.put(worker_id,1);
        }
        if(!isFind){
            faceCount.put(worker_id,1);
        }

        return faceCount;
    }
    public void resetFaceCount (){
        for (Entry<String,Integer> entry :this.faceCount.entrySet()){
            entry.setValue(0);
        }
    }
    public FaceCount(){
    }

    public FaceCount(String worker_id,Integer count){
        faceCount.put(worker_id,count);
    }
    public void put(String worker_id,Integer count){
        faceCount.put(worker_id,count);
    }

    @Override
    public int size() {
        return 0;
    }

    @Override
    public boolean isEmpty() {
        return false;
    }

    @Override
    public boolean containsKey(@Nullable Object key) {
        return false;
    }

    @Override
    public boolean containsValue(@Nullable Object value) {
        return false;
    }

    @Nullable
    @Override
    public Object get(@Nullable Object key) {
        return null;
    }

    @Nullable
    @Override
    public Object put(Object key, Object value) {
        return null;
    }

    @Nullable
    @Override
    public Object remove(@Nullable Object key) {
        return null;
    }

    @Override
    public void putAll(@NonNull Map m) {

    }

    @Override
    public void clear() {

    }

    @NonNull
    @Override
    public Set keySet() {
        return null;
    }

    @NonNull
    @Override
    public Collection values() {
        return null;
    }

    @NonNull
    @Override
    public Set<Entry> entrySet() {
        return null;
    }
}
