package quake.quake_tensorflow_face_rec.ui;

import android.content.Intent;
import android.graphics.Typeface;
import android.os.Bundle;
import android.text.method.ScrollingMovementMethod;
import android.view.View;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.TextView;

import quake.quake_tensorflow_face_rec.R;
import quake.quake_tensorflow_face_rec.baseMvp.BasePresenter;
import quake.quake_tensorflow_face_rec.detection.DetectorActivity;
import quake.quake_tensorflow_face_rec.ui.base.BaseActivity;
import quake.quake_tensorflow_face_rec.utils.ExitApplication;


public class AttendanceFailure extends BaseActivity implements View.OnClickListener {
    private TextView topBarText;
    private TextView attendanceFailure;
    private TextView attendanceFailureText;
    private Button onceAgain;
    private LinearLayout backward;
    private String signInOrOut;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.attendance_failure);
        initView();
//        new Handler().postDelayed(new Runnable() {
//            @Override
//            public void run() {
//                Intent intent = new Intent(AttendanceFailure.this, HomePage.class);
//                startActivity(intent);
//                AttendanceFailure.this.finish();
//            }
//        }, 30*1000);
        ExitApplication.getInstance().addActivity(this);
    }

    @Override
    protected BasePresenter createPresenter() {
        return null;
    }


    private void initView() {
//        topBarText = findViewById(R.id.topBarText);
//        topBarText.setTypeface(Typeface.createFromAsset(getAssets(), "font/SourceHanSansSC-Regular.otf"));
        attendanceFailure = findViewById(R.id.attendanceFailure);
        attendanceFailure.setTypeface(Typeface.createFromAsset(getAssets(), "font/SourceHanSansSC-Medium.otf"));
        attendanceFailureText = findViewById(R.id.attendanceFailureText);
        attendanceFailureText.setTypeface(Typeface.createFromAsset(getAssets(), "font/SourceHanSansSC-Normal.otf"));
        onceAgain = findViewById(R.id.onceAgain);
        onceAgain.setTypeface(Typeface.createFromAsset(getAssets(), "font/SourceHanSansSC-Normal.otf"));
        onceAgain.setOnClickListener(this);
        backward = findViewById(R.id.backward);
        backward.setOnClickListener(this);


        TextView log = findViewById(R.id.log);
        log.setMovementMethod(ScrollingMovementMethod.getInstance());
        Intent intent = getIntent();
        signInOrOut = intent.getStringExtra("signInOrOut");
        String test = intent.getStringExtra("test");
        log.setText(test);
    }

    @Override
    public void onClick(View v) {
        int id = v.getId();
        if (id == R.id.onceAgain) {
            Intent intent = new Intent(this, DetectorActivity.class);
            intent.putExtra("signInOrOut", signInOrOut);
            startActivity(intent);
            this.finish();
        } else if (id == R.id.backward) {
            this.finish();
        }
    }

    @Override
    public void showErrorMessage(String error) {

    }

    @Override
    public void createFunctions() {

    }

    @Override
    public void initViews() {

    }
}