package quake.quake_tensorflow_face_rec.utils;

import android.graphics.Bitmap;

import com.google.mlkit.vision.face.Face;

import java.io.Serializable;
import java.util.List;

public class BundleUtils implements Serializable {
    private Long currTimestamp;
    private Bitmap portraitBmp;
    private Boolean addPending;
    private String registerOrRecognize;
    private String phone;
    private int previewWidth;
    private int previewHeight;
    private int sensorOrientation;
    private List<List<Face>> faceList;

    public BundleUtils(){

    }

    public Long getCurrTimestamp() {
        return currTimestamp;
    }

    public void setCurrTimestamp(Long currTimestamp) {
        this.currTimestamp = currTimestamp;
    }

    public Bitmap getPortraitBmp() {
        return portraitBmp;
    }

    public void setPortraitBmp(Bitmap portraitBmp) {
        this.portraitBmp = portraitBmp;
    }

    public Boolean getAddPending() {
        return addPending;
    }

    public void setAddPending(Boolean addPending) {
        this.addPending = addPending;
    }

    public String getRegisterOrRecognize() {
        return registerOrRecognize;
    }

    public void setRegisterOrRecognize(String registerOrRecognize) {
        this.registerOrRecognize = registerOrRecognize;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public int getPreviewWidth() {
        return previewWidth;
    }

    public void setPreviewWidth(int previewWidth) {
        this.previewWidth = previewWidth;
    }

    public int getPreviewHeight() {
        return previewHeight;
    }

    public void setPreviewHeight(int previewHeight) {
        this.previewHeight = previewHeight;
    }

    public int getSensorOrientation() {
        return sensorOrientation;
    }

    public void setSensorOrientation(int sensorOrientation) {
        this.sensorOrientation = sensorOrientation;
    }

    public List<List<Face>> getFaceList() {
        return faceList;
    }

    public void setFaceList(List<List<Face>> faceList) {
        this.faceList = faceList;
    }

    public BundleUtils(Long currTimestamp, Bitmap portraitBmp, Boolean addPending, String registerOrRecognize, String phone, int previewWidth, int previewHeight, int sensorOrientation, List<List<Face>> faceList) {
        this.currTimestamp = currTimestamp;
        this.portraitBmp = portraitBmp;
        this.addPending = addPending;
        this.registerOrRecognize = registerOrRecognize;
        this.phone = phone;
        this.previewWidth = previewWidth;
        this.previewHeight = previewHeight;
        this.sensorOrientation = sensorOrientation;
        this.faceList = faceList;
    }
}
