package quake.quake_tensorflow_face_rec.utils;/*
* FileName: DaoDemo
 4 * Author: Administrator
 5 * Date: 2021/5/12 20:18
 6 * Description: 
*/

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.util.Log;

public class TestDao {

    public TestDao(Context context){
        //得到数据库对象
        MyDatabaseHelper helper = new MyDatabaseHelper(context);
    }

    /**
     * 在表中添加一行
     * @param tableName 表名
     * @param columnHack 当values为空，没有数据插入的时候，插入columnhack（一般为null）
     * @param values 根据contentvalues这种键值对方式，添加具体数值到相应位置
     */
    public void insert(SQLiteDatabase db,String tableName, String columnHack, ContentValues values){
/*        values.put(key,value);
        db.insert(tableName,columnHack,values);*/
/*        String sql = "insert into " + Constants.TABLE_NAME + "(_id,name,age,salary,phone,address) values(?,?,?,?,?,?)";
        db.execSQL(sql, new Object[]{1, "BillGates", 60, 1, 110, "USA"});*/
        db.insert(tableName,columnHack,values);
        Log.d("insert", "插入了！");

    }
    public void delete(SQLiteDatabase db,String table, String whereClause, String[] whereArgs){
        db.delete(table,whereClause,whereArgs);
    }

    /**
     *
     * @param table 表名
     * @param values 修改哪个值 contentValues values = new ContentValues();
     *               values.put("xxx",xxx);
     * @param whereClause 修改的条件 "name=?"
     * @param whereArgs 修改条件的值 string[] whereargs = new String[]{"张三"}
     */
    public void update(SQLiteDatabase db,String table, ContentValues values, String whereClause, String[] whereArgs){
        db.update(table,values,whereClause,whereArgs);
        Log.d("update","更新本地表");

    }

    /**
     *
     * @param tableName 表名
     * @param columns   返回哪几列的数据 string[] columns = new String[]{"",""};
     * @param selection 查询条件 "name=?"
     * @param selectionArgs 查询条件的值 string[] selectionArgs = new String[]{"张三"}
//     * @param groupBy   分组
//     * @param having    另外一个条件
//     * @param orderBy   排序
     * @return
     */
    public Cursor query( SQLiteDatabase db,String tableName, String[] columns, String selection, String[] selectionArgs){
        Cursor cursor = null;
//        try{
            cursor = db.query(tableName, columns, selection, selectionArgs, null, null, null);
            Log.d("cursor","cursor为空");
//            Log.d("query", "cursor:" + cursor.getCount());
            return cursor;

//        }
//        catch (Exception e) {
//            e.printStackTrace();
//        }
//        finally {
//            if(cursor!=null){
//                cursor.close();
//            }
//        }
//        return cursor;

    }

}
