
import 'dart:async';

import 'package:flutter/services.dart';

class QuakeTensorflowFaceRec {
  static const MethodChannel _channel = MethodChannel('quake_tensorflow_face_rec');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<String?>  jumpToFaceRec(String signInOrOut,String workerFaceData) async {
    final String? version = await _channel.invokeMethod('jumpToFaceRec',<String,dynamic>{'signInOrOut':signInOrOut,
      'workerFaceData':workerFaceData});
    return version;
  }
}
